package com.pancik.libgdx.zumpatalentov.engine.building;

import com.badlogic.gdx.math.Vector2;
import com.pancik.libgdx.zumpatalentov.engine.player.Player;
import com.pancik.libgdx.zumpatalentov.entity.attackable.AttackableEntity;
import com.pancik.libgdx.zumpatalentov.util.MouseEvent;

public abstract class BuildingEntity extends AttackableEntity {

    public BuildingEntity(Vector2 pos, Vector2 size, int team, Player owner) {
        super(pos, size, team, owner);
    }
    
    @Override
    public float getPriority() {
        return -1000.0f;
    }
    
    public abstract boolean handle(MouseEvent me);
}
