package com.pancik.libgdx.zumpatalentov.entity.unit.buff.upgrade;

public class TemporarySpawnSpeedUpgrade implements Upgrade {
    public static final int LIFETIME = 600;

    protected int life = 0;
    
    @Override
    public boolean isTemporary() {
        return true;
    }

    @Override
    public void tick() {
        life++;
        //System.out.println("tick life " + life);
    }

    @Override
    public void preRender() {
    }

    @Override
    public void postRender() {
    }

    @Override
    public boolean remove() {
        if(life >= LIFETIME) {
            return true;
        } else {
            return false;
        }
    }

    @Override
    public float getCoefficient(PercentageStat stat) {
        switch(stat) {
            case SPAWN_SPEED:
                return -0.3f;
        }
        
        return 0.0f;
    }
}
