package com.pancik.libgdx.zumpatalentov.engine.player.tutorial;

import com.pancik.libgdx.zumpatalentov.engine.Engine;
import com.pancik.libgdx.zumpatalentov.engine.Engine.EngineControls;
import com.pancik.libgdx.zumpatalentov.util.MouseEvent;

public abstract class Tutorial {
    protected Engine.EngineControls engineControls;

    public Tutorial(EngineControls engineControls) {
        this.engineControls = engineControls;
    }
    
    public abstract void tick();
    public abstract void renderUI();
    public abstract void handle(MouseEvent me);
    public abstract boolean isFinished();
}
